Bug 1281829 - Harden all packages: wget should be a position-independent executable
Harden all packages: wget should be a position-independent executable
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wget (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomáš Hozza
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 09:29 EST by Christian Stadelmann
Modified: 2015-11-30 16:20 EST (History)
2 users (show)

See Also:
Fixed In Version: wget-1.17-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-30 16:20:18 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Stadelmann 2015-11-13 09:29:19 EST
Description of problem:
According to https://fedoraproject.org/wiki/Changes/Harden_All_Packages all binary executables should be position-independent. wget is not:

$ checksec --file /usr/bin/wget 
RELRO           STACK CANARY      NX            PIE             RPATH      RUNPATH      FILE
Partial RELRO   Canary found      NX enabled    No PIE          No RPATH   No RUNPATH   /usr/bin/wget

Version-Release number of selected component (if applicable):
wget-1.16.3-2.fc23.x86_64
Comment 1 Tomáš Hozza 2015-11-27 05:07:21 EST
Thanks. I found the issue...
Comment 2 Fedora Update System 2015-11-27 15:49:22 EST
wget-1.17-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10f92d4d06
Comment 3 Fedora Update System 2015-11-28 21:23:18 EST
wget-1.17-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update wget'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10f92d4d06
Comment 4 Fedora Update System 2015-11-30 16:20:06 EST
wget-1.17-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.